@import 'common';

// reset external css for footer so footer behaves the same on all services
// #rps-footer {
//   @include reset;
//   @include display-font-awesome;
// }

// with the class this has a higher specificity than the reset above, so our new styles are applied
#rps-footer.rps-footer {
    font-size:$body-font-size-s;
    color: $text-color;
    margin-bottom: 2em;
    line-height: 1.3;
    width: 100vw;
    bottom: 0px;
    position: relative;
    z-index: 999;

    box-sizing: border-box;
    font-family: $body-family;
  
    .isDisabled {
        color: currentColor !important;
        cursor: not-allowed !important;
        opacity: 0.5 !important;
        text-decoration: none !important;
    }

    .site-footer__logo--dzg img {
      max-width: 20rem;
    }

    .first-footer {
      text-align: center;
      padding: 4.8rem 16vw 3.6rem 16vw;
      background: $grey-background-color;

      .first-footer-top {
        .sitemap{

          .block-sitemap{
            display: table-cell;
            width: 15vw;
            text-align: left;
            padding-left: 15px;
            h2 {
              color: $text-color;
              font-weight: 700;
              margin: 0 0 0.5rem;
              text-transform: uppercase;
              font-size: inherit;
            }
            ul {
              padding-left: 0px;
              li {
                list-style: none;
                margin: 0.5rem 0 1.6rem;
                a {
                  text-decoration: none;
                  color: $text-color;
                  margin-top:1rem;
                }
              }
            }
          }
        }

    }
    }
    .second-footer-bottom>ul {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      margin-top: 2.4rem;
      padding-top:0.5rem;
      border-top: 1px solid $base-color;
      padding-left: 0px;
      li {
        list-style: none;

        a {
          text-decoration: none;
          color: $text-color;
          margin: 0.5rem;
        }
      }
    }

    .last-footer {
      padding-top:10px;
      padding-right: 10%;
      padding-left: 10%;
      display: flex;
      color: $grey-color;
      justify-content: end;
      margin-left: auto;
      margin-right: auto;
      max-width: 1600px;
      .navbar-brand {
        img {
          max-width: $first-logo-max-width;
          display: block;
          width: 100%;
          height: auto;
       }
      }

      .second-logo {
          max-width: 14rem;
          padding: 0 1em;
      }

      .second-logo-space {
        display: flex;
      }
    }
}
@media screen and (max-width: 1600px) {
  #rps-footer.rps-footer {
    .first-footer {
      padding: 4.8rem 10vw 3.6rem 10vw;
    }
    }
}

@media screen and (max-width: 970px) {
  #rps-footer.rps-footer {
    .first-footer {
      text-align: center;
      padding: 4.8rem 3vw 3.6rem 3vw;
      .first-footer-top{
        .sitemap{
          .block-sitemap{
            width: 50vw;
          }
        }

      }
    }

    .last-footer {
      justify-content: center;
    }
    .second-footer-bottom>ul {
      justify-content: center;
    }
  }
}
